﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HeuristicLab.Problems.MultiObjectiveTestFunctions {

  /// <summary>
  /// Describes instances of Multi Objective Test Functions (MOTF).
  /// </summary>
  public class MOTFData {
    /// <summary>
    /// The name of the instance
    /// </summary>
    public string Name { get; set; }

    /// <summary>
    /// Optional! The description of the instance
    /// </summary>
    public string Description { get; set; }

    /// <summary>
    /// The operator used for evaluations
    /// </summary>
    public IMultiObjectiveTestFunction Evaluator { get; set; }

  }

}